
#property indicator_chart_window

extern int     X.Offset    = 0;
extern int     Y.Offset    = 16;
extern int     DAYS        = 10;
extern int     Font_Size   = 10;
extern color   Title_Color = DeepSkyBlue;
extern color   Value_Color = White;

double ATR_TDay_0;
double ATR_YDay_0;
double ATR_XDay_0;
double ATR_XTotal;
double PP_XTotal;

double PipShift;
double Trend_Range_Ratio;

string prefix = "ADTR_PP";
string name;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   Sleep(1000);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   Sleep(1000);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
//--------------------------------------------------------------------
// TODAYS PIP TRADING RANGE AND AVERAGE PIP TRADING RANGE FOR X DAYS   
   
   int i;
      
   ATR_TDay_0=(iHigh(Symbol(),1440,0) - iLow(Symbol(),1440,0));
   ATR_YDay_0=(iHigh(Symbol(),1440,1) - iLow(Symbol(),1440,1));

   ATR_XTotal=0;
   for (i=1;i<=DAYS;i++)
   {
     ATR_XTotal=ATR_XTotal+(iHigh(Symbol(),1440,i) - iLow(Symbol(),1440,i));
   }
   
   PP_XTotal=0;
   for (i=1;i<=DAYS*24*12;i++)
   {
     PP_XTotal=PP_XTotal+MathAbs(iHigh(Symbol(),5,i)-iLow(Symbol(),5,i));
   }
   
   ATR_XTotal = ATR_XTotal/(DAYS);
   PP_XTotal = PP_XTotal/(DAYS);
   
   PipShift=(iClose(Symbol(),1440,0) - iClose(Symbol(),1440,DAYS))/Point;
   if (PipShift==0)  PipShift=1;
   Trend_Range_Ratio=(PipShift/PP_XTotal)*(ATR_XTotal/PP_XTotal);

   name = prefix +"Todays_Pips_Title";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,"Today         ATR",Font_Size, "Arial Bold", Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 0+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 0+Y.Offset); 
   
   name = prefix +"Todays_Pips_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,DoubleToStr(ATR_TDay_0/Point,0)+" Pips",Font_Size, "Arial Bold", Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 120+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 0+Y.Offset); 
      
   name = prefix +"Yesterday_Pips_Title";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,"Yesterday   ATR",Font_Size, "Arial Bold", Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 0+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 14+Y.Offset); 
   
   name = prefix +"Yesterday_Pips_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,DoubleToStr(ATR_YDay_0/Point,0)+" Pips",Font_Size, "Arial Bold", Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 120+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 14+Y.Offset); 
     
//------------------------------------------------------------------------------------------------
//THE AVERAGE TRADING RANGE FOR ALL X DAYS
   
   name = prefix +"ATDR_Title";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,DAYS+" Days Av. ATR",Font_Size, "Arial Bold", Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 0+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 30+Y.Offset);
     
   name = prefix +"ADTR_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(name,DoubleToStr(ATR_XTotal/Point,0)+" Pips",Font_Size, "Arial Bold", Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 120+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 30+Y.Offset);
    
    name = prefix +"PP_Title";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,"Pip Power",Font_Size, "Arial Bold", Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 192+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 30+Y.Offset);
     
   name = prefix +"PP_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(name,DoubleToStr(PP_XTotal/Point,0)+" Pips",Font_Size, "Arial Bold", Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 272+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 30+Y.Offset);
     
   name = prefix +"TrendRatio";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,DAYS+" Days Trend %",Font_Size, "Arial Bold", Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 0+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 46+Y.Offset);
     
   name = prefix +"TrendRatio_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(name,DoubleToStr(Trend_Range_Ratio*Point*100,3)+" %",Font_Size, "Arial Bold", Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 120+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 46+Y.Offset);
     
//-----------------------------------------------------------------------------------------------
   Sleep(1000);
   return(0);
  }
//+------------------------------------------------------------------+